Bug 178077 - notes are not updated in kontact overview
Summary: notes are not updated in kontact overview
Status: RESOLVED FIXED
Alias: None
Product: kontact
Classification: Unclassified
Component: notes (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-12-18 17:47 UTC by Florian
Modified: 2013-10-16 07:31 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.12


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian 2008-12-18 17:47:51 UTC
Version:            (using KDE 4.1.3)
Compiler:           Arch Linux
OS:                Linux
Installed from:    Unspecified Linux

notes don't get listed in kontact overview when they are created with knotes. If i restart kontact notes are listed properly. it seems that an update mechanism (like kmail -> overview) doesn't work.

thanks,
Comment 1 JK 2009-11-13 10:01:52 UTC
Yes --I've noticed this too. Benign but annoying.
Comment 2 JK 2009-11-13 10:10:49 UTC
Can confirm that newly created notes *do* update in Kontact->Summary, but notes that have just been deleted do *not* get updated in the Summary (i.e., the notes which were deleted still display in the summary until Kontact is restarted).
Comment 3 Laurent Montel 2013-10-16 07:31:38 UTC
Git commit a95a1b303e162bdf12830d49a7c2fcce757fbe1f by Montel Laurent.
Committed on 16/10/2013 at 07:31.
Pushed by mlaurent into branch 'master'.

Fix Bug 178077 - notes are not updated in kontact overview

FIXED-IN: 4.12

M  +2    -7    kontact/plugins/knotes/knotes_part.cpp
M  +1    -1    kontact/plugins/knotes/knotes_part.h
M  +5    -2    kontact/plugins/knotes/knotes_plugin.cpp
M  +2    -1    kontact/plugins/knotes/knotes_plugin.h
M  +7    -9    kontact/plugins/knotes/summarywidget.cpp
M  +3    -6    kontact/plugins/knotes/summarywidget.h

http://commits.kde.org/kdepim/a95a1b303e162bdf12830d49a7c2fcce757fbe1f